ServerEvents.recipes(event => {
    event.remove({ output: 'immersiveengineering:rs_engineering' })
    event.shaped(
        Item.of('immersiveengineering:rs_engineering', 4),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'immersiveengineering:sheetmetal_aluminum',
            B: 'immersiveengineering:component_electronic',
            C: 'kubejs:basic_engineering'
        }
    )
    event.remove({ output: 'immersiveengineering:heavy_engineering' })
    event.shaped(
        Item.of('immersiveengineering:heavy_engineering', 4),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'immersiveengineering:sheetmetal_steel',
            B: 'immersiveengineering:component_steel',
            C: 'kubejs:basic_engineering'
        }
    )
    event.remove({ output: 'immersiveengineering:light_engineering' })
    event.shaped(
        Item.of('immersiveengineering:light_engineering', 4),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'immersiveengineering:sheetmetal_iron',
            B: 'immersiveengineering:component_iron',
            C: 'kubejs:basic_engineering'
        }
    )
    event.remove({ output: 'immersiveengineering:generator' })
    event.shaped(
        Item.of('immersiveengineering:generator', 4),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'immersiveengineering:sheetmetal_steel',
            B: 'immersiveengineering:coil_mv',
            C: 'thermal:energy_cell_frame'
        }
    )
    event.remove({ output: 'immersiveengineering:dynamo' })
    event.shaped(
        Item.of('immersiveengineering:dynamo'),
        [
            'ABA',
            'CDC'
        ],
        {
            A: 'minecraft:redstone',
            B: 'immersiveengineering:component_iron',
            C: 'minecraft:iron_ingot',
            D: 'immersiveengineering:generator'
        }
    )
    event.remove({ output: 'immersiveengineering:thermoelectric_generator' })
    event.shaped(
        Item.of('immersiveengineering:thermoelectric_generator'),
        [
            'AAA',
            'BCB',
            'BBB'
        ],
        {
            A: 'thermal:steel_ingot',
            B: '#forge:plates/constantan',
            C: 'thermal:energy_cell_frame'
        }
    )
})